<template>
  <v-snackbar
    v-model="$store.state.global.snackbar.active"
    right
    :timeout="3000"
    :color="$store.state.global.snackbar.color"
    >{{ $store.state.global.snackbar.text }}</v-snackbar
  >
</template>
<script>
export default {
  data() {
    return {}
  },
  watch: {
    '$store.state.global.snackbar.active'() {
      this.closeSnackBar()
    }
  },
  methods: {
    closeSnackBar() {
      setTimeout(() => {
        this.$store.dispatch('actionCloseSnackbar')
      }, 3000)
    }
  }
}
</script>
